<?php
/**
 * Created by PhpStorm.
 * User: usuario1
 * Date: 13/10/2017
 * Time: 12:08 PM
 */

require_once 'lib/customlib/database/dao2/daoSql.php';
require_once 'lib/customlib/database/DbConfig.class.php';

class dataTableSql {

    /**
     * @var daoSql
     */
    protected $daoSql;

    protected $query;
    protected $resultSet;

    protected $totalRows;
    protected $filteredRows;

    /**
     * dataTableSql constructor.
     *
     */
    public function __construct() {
        $this->daoSql = new daoSql();
        $this->daoSql->dbConnect();
    }

    /**
     * Setea el límite de filas a buscar.
     * @param $length
     * @param $start
     */
    public function setLimit($length,$start){
        $this->daoSql->setLimit($length,$start);
    }

    /**
     * Ejecuta el query pasado como parámetro.
     * También deja los datos preparados para pedirle la cant. filas filtradas/totales.
     *
     * @param $_query
     * @return daoResponse
     * @throws Exception
     */
    public function ExecuteQuery($_query){
        $this->query = $_query;
        $this->resultSet = &$this->daoSql->select($_query);

        // Always check that result is not an error
        if (!$this->resultSet->getStatusResponse()->isOk()) {
            $status = $this->resultSet->getStatusResponse();
            throw new Exception($status->getStatusMsg(), $status->getStatusCode());
        }

        return $this->resultSet;
    }




}
