<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

require_once 'lib/config/appConfig.class.php';
require_once 'lib/customlib/database/json/JSON.class.php';


/**
 * Description of ActionDispatcherJson
 *
 * @author gustavo
 */
class ActionDispatcherJson extends JSON {
    
    private $data;

    function __construct() {
    }

    protected function getJsonFile() {
        $_filename = appConfig::DISPATCHER_DATA_JSON;
        $_ret = self::open($_filename );
        if (!$_ret)
            throw new Exception("No se pudo encontrar el archivo de datos para el dispatcher ($_filename)");
        return $_ret;
    }
    
    public function getClassFilePath() {
        $file = $this->data->ctrlClassPath . $this->data->ctrlClassName . "." .$this->data->ctrlClassExtension;
        return $file;
    }
    
    public function getClassName() {        
        return $this->data->ctrlClassName;
    }

    /**
     *
     * @param String $id
     * @return ActionDispatcher
     */
    static public function getDispatcherDataFor($dispatch) {
        $_obj = new ActionDispatcherJson();

        $_data = $_obj->getJsonFile();
        $_obj->data = $_data->$dispatch;
        $_obj->data->dispatch = $dispatch;

        return $_obj;
    }    
    
}
