<?php
/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of PriceFormatclass
 *
 * @author Pablo
 */
class CustomFormat {
    //put your code here

    const PRICE_FORMAT = "$ %01.2f";
    const ACTUAL_CHARSET = "ISO-8859-1";

    static private $espanol_month_calendar = array("enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre", "noviembre","diciembre");
    static private $espanol_day_calendar = array("lunes", "martes", "mi�rcoles", "jueves", "viernes", "s�bado", "domingo");

    static public function getPriceFormat($value){
        if( $value != "0")  return sprintf(CustomFormat::PRICE_FORMAT, $value);
        return "-";
        
    }


    static public function getDateLongEspanol() {
        $dia_semana = ucfirst( CustomFormat::$espanol_day_calendar[ date("w")-1]);
        $mes = ucfirst(CustomFormat::$espanol_month_calendar[ date("n")-1]);
        return " $dia_semana, " . date("j") . " de $mes de " . date("Y H:i");
    }

    static public function cleanString( $string) {

           $string = trim($string);

           $patron=array("/á/","/é/","/í/","/ó/","/ú/","/ñ/","/Ñ/","/ /");
           $reemplazo=array("a","e","i","o","u","n","n","_");
           $string = preg_replace($patron,$reemplazo,$string);
           $string = strtolower($string);

           return $string;


    }

    static public function convertJsonTo($json, $charset){

        return iconv(self::ACTUAL_CHARSET,$charset,$json);
    }


}

?>
